//
//  DudelView.m
//  Dudel
//
//  Created by Marcus Wyatt on 14/12/10.
//  Copyright 2010 Exceptionz Software Services Ltd. All rights reserved.
//

#import "DudelView.h"
#import "Drawable.h"

@implementation DudelView

#pragma mark -
#pragma mark Properties

@synthesize delegate;
@synthesize drawables;

// called when an object is being instantiated from within code
- (id)initWithFrame:(CGRect)frame {

    self = [super initWithFrame:frame];
    if (self) {
        // Initialization code.
        drawables = [[NSMutableArray alloc] initWithCapacity:100];
    }
    return self;
}
// called when an object is being instantiated from a nib file
- (id)initWithCoder:(NSCoder *)aDecoder {
    if ((self = [super initWithCoder:aDecoder])) {
        drawables = [[NSMutableArray alloc] initWithCapacity:100];
    }
    return self;
}


// Only override drawRect: if you perform custom drawing.
// An empty implementation adversely affects performance during animation.
- (void)drawRect:(CGRect)rect {
    // Drawing code.
    for (<Drawable> d in drawables) {
        [d draw];
    }
    [delegate drawTemporary];
}

- (void)dealloc {
    delegate = nil;
    [drawables release], drawables = nil;

    [super dealloc];
}


@end
