//
//  DudelViewController.h
//  Dudel
//
//  Created by Marcus Wyatt on 14/12/10.
//  Copyright 2010 Exceptionz Software Services Ltd. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <MessageUI/MessageUI.h>
#import "DudelView.h"
#import "Tool.h"

@interface DudelViewController : UIViewController<ToolDelegate, DudelViewDelegate, MFMailComposeViewControllerDelegate> {

    DudelView *dudelView;
    UIBarButtonItem *freehandButton;
    UIBarButtonItem *ellipseButton;
    UIBarButtonItem *rectangleButton;
    UIBarButtonItem *lineButton;
    UIBarButtonItem *pencilButton;
    id<Tool> currentTool;
    UIColor *strokeColor;
    UIColor *fillColor;
    CGFloat strokeWidth;
}

@property (nonatomic, retain) IBOutlet DudelView *dudelView;
@property (nonatomic, retain) IBOutlet UIBarButtonItem *freehandButton;
@property (nonatomic, retain) IBOutlet UIBarButtonItem *ellipseButton;
@property (nonatomic, retain) IBOutlet UIBarButtonItem *rectangleButton;
@property (nonatomic, retain) IBOutlet UIBarButtonItem *lineButton;
@property (nonatomic, retain) IBOutlet UIBarButtonItem *pencilButton;
@property (nonatomic, retain) id<Tool> currentTool;
@property (nonatomic, retain) UIColor *strokeColor;
@property (nonatomic, retain) UIColor *fillColor;
@property (nonatomic) CGFloat strokeWidth;

- (IBAction)touchFreehandItem:(id)sender;
- (IBAction)touchEllipseItem:(id)sender;
- (IBAction)touchRectangleItem:(id)sender;
- (IBAction)touchLineItem:(id)sender;
- (IBAction)touchPencilItem:(id)sender;
- (IBAction)touchSendPdfEmailItem:(id)sender;

@end

