//
//  Tool.h
//  Dudel
//
//  Created by Marcus Wyatt on 14/12/10.
//  Copyright 2010 Exceptionz Software Services Ltd. All rights reserved.
//

#import <UIKit/UIKit.h>

@protocol ToolDelegate;
@protocol Drawable;


@protocol Tool<NSObject>

@property (assign, nonatomic) id<ToolDelegate> delegate;

- (void)activate;
- (void)deactivate;

- (void)touchesBegan:(NSSet *)touches withEvent:(UIEvent *)event;
- (void)touchesCancelled:(NSSet *)touches withEvent:(UIEvent *)event;
- (void)touchesEnded:(NSSet *)touches withEvent:(UIEvent *)event;
- (void)touchesMoved:(NSSet *)touches withEvent:(UIEvent *)event;

- (void)drawTemporary;

@end

@protocol ToolDelegate

- (void)addDrawable:(id<Drawable>)d;
- (UIView *)viewForUseWithTool:(id <Tool>)t;
- (UIColor *)strokeColor;
- (UIColor *)fillColor;
- (CGFloat)strokeWidth;

@end
